# 1. Создайте два любых списка и свяжите их с переменными:

first_list = [1, 2, 3, 4, 5]
second_list = [3, 2, 1]

# 2. Извлеките из первого списка второй элемент.

print(first_list[1])

# 3.Измените во втором списке последний элемент. Выведите список на экран.

second_list[-1] = 777
print(second_list)

# 4.Соедините оба списка в один, присвоив результат новой переменной.
# Выведите получившийся список на экран.

third_list = first_list + second_list
print(third_list)

# 5. "Снимите" срез из соединенного списка так, чтобы туда попали некоторые
# части обоих первых списков. Срез свяжите с очередной новой переменной.
# Выведите значение этой переменной.

fourth_list = third_list[4:]
print(fourth_list)

# 6. Добавьте в список два новых элемента и снова выведите его.

fourth_list.append(666)
fourth_list.insert(3, 888)
print(fourth_list)

# 7. Даны списки:
# a = [1, 1, 2, 3, 5, 8, 13, 21, 34, 55, 89];
# b = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13].
# Нужно вернуть список, который состоит из элементов, общих для этих двух
# списков. -- !не использовать циклы

a = [1, 1, 2, 3, 5, 8, 13, 21, 34, 55, 89]
b = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13]
c = [i for i in a if i in b]
print(c)

# 8. Есть список: [1, 2, 3, 4, 3, 2, 5, 1, 4, 6, 7, 1, 8, 2, 3] оставить в
# нем только уникальные значения. !не использовать циклы
d = [1, 2, 3, 4, 3, 2, 5, 1, 4, 6, 7, 1, 8, 2, 3]
d = set(d)
d = list(d)
print(d)

# Логические операции:
# 1. Присвойте двум переменным любые числовые значения.

first_number = 2
second_number = 3

# 2. Используя переменные из п. 1, с помощью оператора and составьте два
# сложных логических выражения, одно из которых дает истину, другое – ложь.

print(first_number < second_number and second_number > first_number)
print(first_number > second_number and second_number < first_number)

# Аналогично выполните п. 2, но уже с оператором or.

print(first_number < second_number or second_number > first_number)
print(first_number > second_number or second_number < first_number)

# 4.Попробуйте использовать в логических выражениях переменные строкового
# типа. Объясните результат.

print('a' > 'b' and 'b' > 'c')
print('каждой букве соответствует цифровое значение кодировки')

# 5. Напишите программу, которая запрашивала бы у пользователя два числа и
# выводила бы True или False в зависимости от того, больше первое число
# второго или нет. (используйте функцию input() )

print(input('Input the first number: ') > input('Input the second number: '))

# first_number_input, sec_number_input = map(int, input('input two
# numbers one by one using space button').split())
# if first_number_input > sec_number_input:
#     print('True')
# else:
#     print('False')

# Словари:
# 1. Создайте словарь, связав его с переменной school, и наполните его
# данными, которые бы отражали количество учащихся в десяти разных классах
# (например, 1а, 1б, 2б, 6а, 7в и т.д.).

school = {'1а': 12, '2б': 13, '3а': 16, '4б': 22, '5а': 15, '6в': 18,
          '7г': 19, '1д': 22, '9а': 32, '11а': 12}

# 2. Узнайте сколько человек в каком-нибудь классе.

print(school['1а'])

# Представьте, что в школе произошли изменения, внесите их в словарь:
# ◦ в трех классах изменилось количество учащихся;
# ◦ в школе появилось два новых класса;
# ◦ в школе расформировали один из классов.

school2 = {'1а': 13, '9а': 13, '5а': 13, '10а': 13, '10д': 16}
school.update(school2)
del school['10д']

# 4. Выведите содержимое словаря на экран.

print(school)

# Кортежи:
# Создайте кортеж с цифрами от 0 до 9 и посчитайте сумму. (ожидаемый вывод
# суммы = 45)

# first_tuple = (1, 2, 3, 4, 5, 6, 7, 8, 9)
first_tuple = (i for i in range(10))
print(sum(first_tuple))

# Есть кортеж long_word = ('т', 'т', 'а', 'и', 'и', 'а', 'и', 'и', 'и', 'т',
# 'т', 'а', 'и', 'и', 'и', 'и', 'и', 'т', 'и')
# распечатайте на экран количество букв “т”, “и”, “а”

long_word = ('т', 'т', 'а', 'и', 'и', 'а', 'и', 'и', 'и', 'т',
             'т', 'а', 'и', 'и', 'и', 'и', 'и', 'т', 'и')
print(long_word.count('т'))
print(long_word.count('и'))
print(long_word.count('а'))

# Допишите скрипт для расчета средней температуры.
# Постарайтесь посчитать количество дней на основе week_temp. Так наш скрипт
# сможет работать с данными за любой период.

week_temp = (26, 29, 34, 32, 28, 26, 23)
sum_temp = sum(week_temp)
days = len(week_temp)
mean_temp = sum_temp / days
print(int(mean_temp))
